import 'package:flutter/material.dart';
import 'package:practica1_flutter/src/config/routes.dart';
import 'package:practica1_flutter/src/pages/article_form.dart';
import '../pages/category/category_widget.dart';
import '../pages/category_form.dart';
import '../pages/home_page.dart';
import '../pages/login_page.dart';
import '../pages/articles_page.dart';

Map<String, WidgetBuilder> getApplicationRoutes() {
  return <String, WidgetBuilder>{
    'login': (BuildContext context) => const LoginPage(),
    'homeSeller': (BuildContext context) => HomeSellerPage(),
    //'articulos': (BuildContext context) => const ArticlesPage(),
    'category_form': (BuildContext context) => CategoryForm(),
    //'cart': (BuildContext context) => CarritoPage(),
    'article_form': (BuildContext context) => ArticleFormPage(), // Define la ruta

  };
}
